Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.service
Class ServiceDescriptionImpl

    java.lang.Object
      org.jboss.txbridge.ba.service.ServiceDescriptionImpl

All Implemented Interfaces:
  java.io.Serializable, ServiceDescription

    public class ServiceDescriptionImpl

extends java.lang.Object
implements ServiceDescription

This class describes the service in terms of all its requirements related to participation in Business Activities. TODO: Redesign this - this should use a simple map

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)
See Also:
  Serialized Form

Field Summary
`private BAAgreementType` | `agreementType`
`private MethodDescription` | `compensationMethod` Information about the compensation method.
`private BACompensationMode` | `compensationMode`
`private BACompensationType` | `compensationType`
`private MethodDescription` | `originalMethod` Information about the original method.
`private BAParameterMatch` | `parameterMatch`
`private BAServiceType` | `serviceType` BA-related information.

Constructor Summary
`ServiceDescriptionImpl()`

Method Summary
`BAAgreementType` | `getAgreementType()`
`java.lang.Class` | `getCompensationClass()`
`java.lang.Class` | `getCompensationEjbInterface()`
`java.lang.String` | `getCompensationJNDIName()`
`java.lang.String` | `getCompensationMethodName()`
`BACompensationMode` | `getCompensationMode()`
`java.lang.Object[]` | `getCompensationParameterAnnotations()`
`java.lang.Class[]` | `getCompensationParameterTypes()`
`java.lang.String` | `getCompensationProviderURL()`
`java.lang.Class` | `getCompensationReturnType()`
`BACompensationType` | `getCompensationType()`
`java.lang.String` | `getCompensationWebMethodName()`
`java.lang.Class` | `getOriginalClass()`
`java.lang.String` | `getOriginalMethodName()`
`java.lang.Object[]` | `getOriginalParameterAnnotations()`
`java.lang.Class[]` | `getOriginalParameterTypes()`
`java.lang.Object` | `getOriginalReturnId()`
`java.lang.Class` | `getOriginalReturnType()`
`java.lang.String` | `getOriginalWebMethodName()`
`BAParameterMatch` | `getParameterMatch()`
`BAServiceType` | `getServiceType()`
`boolean` | `isCompensationSingle()`
`void` | `setAgreementType(BAAgreementType agreementType)`
`void` | `setCompensationClass(java.lang.Class compensationClass)`
`void` | `setCompensationEjbInterface(java.lang.Class ejbInterface)`
`void` | `setCompensationJNDIName(java.lang.String jndiName)`
`void` | `setCompensationMethodName(java.lang.String compensationMethodName)`
`void` | `setCompensationMode(BACompensationMode compensationMode)`
`void` | `setCompensationParameterAnnotations(java.lang.Object[] compensationParameterAnnotations)`
`void` | `setCompensationParameterTypes(java.lang.Class[] compensationParameterTypes)`
`void` | `setCompensationProviderURL(java.lang.String providerURL)`
`void` | `setCompensationReturnType(java.lang.Class compensationReturnType)`
`void` | `setCompensationSingle(boolean value)`
`void` | `setCompensationType(BACompensationType compensationType)`
`void` | `setCompensationWebMethodName(java.lang.String compensationWebMethodName)`
`void` | `setOriginalClass(java.lang.Class originalClass)`
`void` | `setOriginalMethodName(java.lang.String originalMethodName)`
`void` | `setOriginalParameterAnnotations(java.lang.Object[] originalParameterAnnotation)`
`void` | `setOriginalParameterTypes(java.lang.Class[] originalParameterTypes)`
`void` | `setOriginalReturnId(java.lang.Object originalReturnId)`
`void` | `setOriginalReturnType(java.lang.Class originalReturnType)`
`void` | `setOriginalWebMethodName(java.lang.String originalWebMethodName)`
`void` | `setParameterMatch(BAParameterMatch parameterMatch)`
`void` | `setServiceType(BAServiceType serviceType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serviceType

    private BAServiceType serviceType

  BA-related information.

### agreementType

    private BAAgreementType agreementType

### compensationType

    private BACompensationType compensationType

### compensationMode

    private BACompensationMode compensationMode

### parameterMatch

    private BAParameterMatch parameterMatch

### originalMethod

    private MethodDescription originalMethod

  Information about the original method.

### compensationMethod

    private MethodDescription compensationMethod

  Information about the compensation method.

Constructor Detail

### ServiceDescriptionImpl

    public ServiceDescriptionImpl()

Method Detail

### getServiceType

    public BAServiceType getServiceType()

  Specified by:
    `getServiceType` in interface `ServiceDescription`

### setServiceType

    public void setServiceType(BAServiceType serviceType)

  Specified by:
    `setServiceType` in interface `ServiceDescription`

### getAgreementType

    public BAAgreementType getAgreementType()

  Specified by:
    `getAgreementType` in interface `ServiceDescription`

### setAgreementType

    public void setAgreementType(BAAgreementType agreementType)

  Specified by:
    `setAgreementType` in interface `ServiceDescription`

### getCompensationType

    public BACompensationType getCompensationType()

  Specified by:
    `getCompensationType` in interface `ServiceDescription`

### setCompensationType

    public void setCompensationType(BACompensationType compensationType)

  Specified by:
    `setCompensationType` in interface `ServiceDescription`

### getCompensationMode

    public BACompensationMode getCompensationMode()

  Specified by:
    `getCompensationMode` in interface `ServiceDescription`

### setCompensationMode

    public void setCompensationMode(BACompensationMode compensationMode)

  Specified by:
    `setCompensationMode` in interface `ServiceDescription`

### getParameterMatch

    public BAParameterMatch getParameterMatch()

  Specified by:
    `getParameterMatch` in interface `ServiceDescription`

### setParameterMatch

    public void setParameterMatch(BAParameterMatch parameterMatch)

  Specified by:
    `setParameterMatch` in interface `ServiceDescription`

### getOriginalClass

    public java.lang.Class getOriginalClass()

  Specified by:
    `getOriginalClass` in interface `ServiceDescription`

### setOriginalClass

    public void setOriginalClass(java.lang.Class originalClass)

  Specified by:
    `setOriginalClass` in interface `ServiceDescription`

### getOriginalMethodName

    public java.lang.String getOriginalMethodName()

  Specified by:
    `getOriginalMethodName` in interface `ServiceDescription`

### setOriginalMethodName

    public void setOriginalMethodName(java.lang.String originalMethodName)

  Specified by:
    `setOriginalMethodName` in interface `ServiceDescription`

### getOriginalWebMethodName

    public java.lang.String getOriginalWebMethodName()

  Specified by:
    `getOriginalWebMethodName` in interface `ServiceDescription`

### setOriginalWebMethodName

    public void setOriginalWebMethodName(java.lang.String originalWebMethodName)

  Specified by:
    `setOriginalWebMethodName` in interface `ServiceDescription`

### getOriginalReturnType

    public java.lang.Class getOriginalReturnType()

  Specified by:
    `getOriginalReturnType` in interface `ServiceDescription`

### setOriginalReturnType

    public void setOriginalReturnType(java.lang.Class originalReturnType)

  Specified by:
    `setOriginalReturnType` in interface `ServiceDescription`

### getOriginalParameterTypes

    public java.lang.Class[] getOriginalParameterTypes()

  Specified by:
    `getOriginalParameterTypes` in interface `ServiceDescription`

### setOriginalParameterTypes

    public void setOriginalParameterTypes(java.lang.Class[] originalParameterTypes)

  Specified by:
    `setOriginalParameterTypes` in interface `ServiceDescription`

### getOriginalReturnId

    public java.lang.Object getOriginalReturnId()

  Specified by:
    `getOriginalReturnId` in interface `ServiceDescription`

### setOriginalReturnId

    public void setOriginalReturnId(java.lang.Object originalReturnId)

  Specified by:
    `setOriginalReturnId` in interface `ServiceDescription`

### getOriginalParameterAnnotations

    public java.lang.Object[] getOriginalParameterAnnotations()

  Specified by:
    `getOriginalParameterAnnotations` in interface `ServiceDescription`

### setOriginalParameterAnnotations

    public void setOriginalParameterAnnotations(java.lang.Object[] originalParameterAnnotation)

  Specified by:
    `setOriginalParameterAnnotations` in interface `ServiceDescription`

### getCompensationClass

    public java.lang.Class getCompensationClass()

  Specified by:
    `getCompensationClass` in interface `ServiceDescription`

### setCompensationClass

    public void setCompensationClass(java.lang.Class compensationClass)

  Specified by:
    `setCompensationClass` in interface `ServiceDescription`

### getCompensationMethodName

    public java.lang.String getCompensationMethodName()

  Specified by:
    `getCompensationMethodName` in interface `ServiceDescription`

### setCompensationMethodName

    public void setCompensationMethodName(java.lang.String compensationMethodName)

  Specified by:
    `setCompensationMethodName` in interface `ServiceDescription`

### getCompensationWebMethodName

    public java.lang.String getCompensationWebMethodName()

  Specified by:
    `getCompensationWebMethodName` in interface `ServiceDescription`

### setCompensationWebMethodName

    public void setCompensationWebMethodName(java.lang.String compensationWebMethodName)

  Specified by:
    `setCompensationWebMethodName` in interface `ServiceDescription`

### getCompensationReturnType

    public java.lang.Class getCompensationReturnType()

  Specified by:
    `getCompensationReturnType` in interface `ServiceDescription`

### setCompensationReturnType

    public void setCompensationReturnType(java.lang.Class compensationReturnType)

  Specified by:
    `setCompensationReturnType` in interface `ServiceDescription`

### getCompensationParameterTypes

    public java.lang.Class[] getCompensationParameterTypes()

  Specified by:
    `getCompensationParameterTypes` in interface `ServiceDescription`

### setCompensationParameterTypes

    public void setCompensationParameterTypes(java.lang.Class[] compensationParameterTypes)

  Specified by:
    `setCompensationParameterTypes` in interface `ServiceDescription`

### getCompensationParameterAnnotations

    public java.lang.Object[] getCompensationParameterAnnotations()

  Specified by:
    `getCompensationParameterAnnotations` in interface `ServiceDescription`

### setCompensationParameterAnnotations

    public void setCompensationParameterAnnotations(java.lang.Object[] compensationParameterAnnotations)

  Specified by:
    `setCompensationParameterAnnotations` in interface `ServiceDescription`

### getCompensationJNDIName

    public java.lang.String getCompensationJNDIName()

  Specified by:
    `getCompensationJNDIName` in interface `ServiceDescription`

### setCompensationJNDIName

    public void setCompensationJNDIName(java.lang.String jndiName)

  Specified by:
    `setCompensationJNDIName` in interface `ServiceDescription`

### getCompensationProviderURL

    public java.lang.String getCompensationProviderURL()

  Specified by:
    `getCompensationProviderURL` in interface `ServiceDescription`

### setCompensationProviderURL

    public void setCompensationProviderURL(java.lang.String providerURL)

  Specified by:
    `setCompensationProviderURL` in interface `ServiceDescription`

### isCompensationSingle

    public boolean isCompensationSingle()

  Specified by:
    `isCompensationSingle` in interface `ServiceDescription`

### setCompensationSingle

    public void setCompensationSingle(boolean value)

  Specified by:
    `setCompensationSingle` in interface `ServiceDescription`

### getCompensationEjbInterface

    public java.lang.Class getCompensationEjbInterface()

  Specified by:
    `getCompensationEjbInterface` in interface `ServiceDescription`

### setCompensationEjbInterface

    public void setCompensationEjbInterface(java.lang.Class ejbInterface)

  Specified by:
    `setCompensationEjbInterface` in interface `ServiceDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD